NetBSD PR misc/28727

Needed to build netbsd-2 with `MKKERBEROS4=no'.

Index: libexec/telnetd/Makefile
===================================================================
RCS file: /cvsroot/src/libexec/telnetd/Makefile,v
retrieving revision 1.39
retrieving revision 1.40
diff -u -r1.39 -r1.40
--- libexec/telnetd/Makefile	13 Dec 2003 22:07:35 -0000	1.39
+++ libexec/telnetd/Makefile	22 Dec 2004 01:25:05 -0000	1.40
@@ -1,4 +1,4 @@
-#	$NetBSD: Makefile,v 1.39 2003/12/13 22:07:35 chs Exp $
+#	$NetBSD: Makefile,v 1.40 2004/12/22 01:25:05 lha Exp $
 #	from: @(#)Makefile	8.2 (Berkeley) 12/15/93
 
 .include <bsd.own.mk>
@@ -26,14 +26,14 @@
 
 .if (${USE_KERBEROS4} != "no")
 CPPFLAGS+=-DKRB4
-LDADD+= -lkrb -ldes
-DPADD+=	${LIBKRB} ${LIBDES}
+LDADD+= -lkrb
+DPADD+=	${LIBKRB}
 .endif
 
 VERS!=	cd ${NETBSDSRCDIR}/lib/libvers && ${PRINTOBJDIR}
 
-LDADD+=	 -lcom_err -L${VERS} -lvers -lroken
-DPADD+=	${LIBCOM_ERR} ${LIBROKEN}
+LDADD+=	 -ldes -lcom_err -L${VERS} -lvers -lroken
+DPADD+=	${LIBDES} ${LIBCOM_ERR} ${LIBROKEN}
 
 .endif
 
Index: usr.bin/login/k5login.c
===================================================================
RCS file: /cvsroot/src/usr.bin/login/k5login.c,v
retrieving revision 1.24
retrieving revision 1.25
diff -u -r1.24 -r1.25
--- usr.bin/login/k5login.c	7 Aug 2003 11:14:24 -0000	1.24
+++ usr.bin/login/k5login.c	22 Dec 2004 01:28:56 -0000	1.25
@@ -1,4 +1,4 @@
-/*	$NetBSD: k5login.c,v 1.24 2003/08/07 11:14:24 agc Exp $	*/
+/*	$NetBSD: k5login.c,v 1.25 2004/12/22 01:28:56 lha Exp $	*/
 
 /*-
  * Copyright (c) 1990 The Regents of the University of California.
@@ -51,14 +51,16 @@
 #if 0
 static char sccsid[] = "@(#)klogin.c	5.11 (Berkeley) 7/12/92";
 #endif
-__RCSID("$NetBSD: k5login.c,v 1.24 2003/08/07 11:14:24 agc Exp $");
+__RCSID("$NetBSD: k5login.c,v 1.25 2004/12/22 01:28:56 lha Exp $");
 #endif /* not lint */
 
 #ifdef KERBEROS5
 #include <sys/param.h>
 #include <sys/syslog.h>
 #include <krb5/krb5.h>
+#ifdef KERBEROS
 #include <kerberosIV/krb.h>
+#endif
 #include <pwd.h>
 #include <netdb.h>
 #include <stdio.h>
Index: usr.bin/telnet/Makefile
===================================================================
RCS file: /cvsroot/src/usr.bin/telnet/Makefile,v
retrieving revision 1.33
retrieving revision 1.34
diff -u -r1.33 -r1.34
--- usr.bin/telnet/Makefile	13 Dec 2003 22:07:35 -0000	1.33
+++ usr.bin/telnet/Makefile	22 Dec 2004 01:25:05 -0000	1.34
@@ -1,4 +1,4 @@
-#	$NetBSD: Makefile,v 1.33 2003/12/13 22:07:35 chs Exp $
+#	$NetBSD: Makefile,v 1.34 2004/12/22 01:25:05 lha Exp $
 #
 # Copyright (c) 1990 The Regents of the University of California.
 # All rights reserved.
@@ -64,12 +64,12 @@
 
 .if (${USE_KERBEROS4} != "no")
 CPPFLAGS+= -DKRB4
-LDADD+= -lkrb -ldes
-DPADD+=	${LIBKRB} ${LIBDES}
+LDADD+= -lkrb
+DPADD+=	${LIBKRB}
 .endif
 
-LDADD+= -lcom_err -lroken
-DPADD+=	${LIBCOM_ERR} ${LIBROKEN}
+LDADD+= -ldes -lcom_err -lroken
+DPADD+=	${LIBDES} ${LIBCOM_ERR} ${LIBROKEN}
 .endif
 
 .include <bsd.prog.mk>
